/* countDigits.cpp is a driver program to test function digitsIn.
 *
 *  Input:  an integer value
 *  Output: the number of digits in that value
 **************************************************************/

#include <iostream>              // cout, cin, , <<, >>
using namespace std;

int digitsIn(int intValue);

int main()
{
  int theValue;

  cout << "Enter an integer value: ";
  cin >> theValue;

  cout << theValue << " contains " 
       << digitsIn(theValue) << " digit(s).\n";
}


/* digitsIn() counts the digits in an integer value.
 *
 * Receive:  intValue, an integer value
 * Return:   numDigits, the number of digits in intValue
 ***********************************************************/

int digitsIn(int intValue)
{
   int numDigits = 0;
   
   do
   {
      numDigits++;
      intValue /= 10;
   }
   while (intValue != 0);
   
   return numDigits;
}
